Subject: Re: [6tisch] Iotdir early review of draft-ietf-6tisch-enrollment-enhanced-beacon-05

From: "Prof. Diego Dujovne" <[email-masked]>
Date: Thu, 7 Nov 2019 08:33:25 -0300

Dear all,
             I would like to thank Carles for his prompt
and detailed review of the enrollment enhanced beacon
draft. We have taken care of all the comments and made
the corresponding changes.
             Version -06 was published on Monday, as you
may have noticed on the datatracker.
             Regards,

                                           Diego Dujovne

Le mar. 29 oct. 2019 à 00:07, Suresh Krishnan <[email-masked]> a écrit :

> Thanks a lot Carles for your careful review and your text change
> proposals. Authors, any thoughts on these changes?
>
> Regards
> Suresh
>
> > On Oct 24, 2019, at 12:01 PM, Carles Gomez via Datatracker <
> [email-masked]> wrote:
> >
> > Reviewer: Carles Gomez
> > Review result: Ready with Issues
> >
> > Thanks to the authors for writing this document.
> >
> > I did not identify technical problems. (There are comments below that do
> have a
> > technical side, but the issues might just be editorial.)
> >
> > There is a number of suggestions provided below, mostly editorial and
> about
> > presentation.
> >
> > Title
> > - "IEEE802.15.4" --> "IEEE 802.15.4"
> > - "Informational Element" --> "Information Element"
> > - "6tisch" --> "6TiSCH"
> >
> > Abstract: I'd suggest adding a comma after "In TSCH mode of IEEE STD
> 802.15.4".
> >
> > Section 1.
> > - "As further details" --> "As further detailed"
> > - Introduce the acronym "EB" the first time that "Enhanced Beacon"
> appears.
> > (Then use "EB" thereafter in the document.)
> >
> > Subsection 1.2.
> > - After "synchronization of ASN and Join Metric," perhaps you may insert
> > "carrying" and reorganize a bit the rest of the sentence. - "existance"
> -->
> > "existence" - "There are a limited number...". --> "There is a limited
> > number..." - "... by each router". Perhaps, to give more context, "by
> each
> > router in the network".
> >
> > Subsection 1.3.
> > - Title: please add ":" after "synchronization".
> > - Title: capitalize "solicitations" and "advertisements"
> > - On the first use of RS, RA, NS and NA, please use the expanded form and
> > introduce the acronym, and use the acronym thereafter. - "consuming a
> broadcast
> > aloha slot with unencrypted traffic" appears to be one of the reasons
> > mentioned, but it is a bit hidden between parenthesis. You may want to
> > reorganize the sentence to emphasize that this is actually the crucial
> point. -
> > Second bullet in the list: did you mean "RA" instead of "Router
> Soliciation" -
> > Third bullet in the list: "If it must listen for a RS as well..." Did
> you mean
> > "listen for an RA" ?
> >
> > - It might be nice to close Section 1 by adding something along the
> lines of
> > "This document defines...". However, this would not be specific to
> subsection
> > 1.3. Therefore, some reorganization of Section 1 might improve the
> document.
> >
> > Section 2.
> > - Even if there is a single figure in the whole document, it might be
> good to
> > add a figure number and a caption the format for the new IE subtype. -
> After
> > the figure, is there a particular reason why the fields of the format are
> > presented in a different order from the one in the format? - Please add
> a ":"
> > after the name of each field and its definition/description. - "this
> field
> > indicates the willingness to act as join proxy". Perhaps "the
> willingness of
> > the sender to act..."? - "Lower value indicates willing to act as a Join
> > Proxy..." Perhaps "Lower value indicates greater willingness to act
> as..." -
> > "Values range 0 (most willing)..." --> "Values range 0x00 (most
> willing)..." -
> > In the figure, one field is called "Join Proxy lower-64". In the text,
> it has a
> > different name... - "if the Proxy Address P-flag is set, then the lower
> 64-bits
> > of the Join Proxy’s Link Layer address..." Did you mean "link-local"
> instead of
> > "Link Layer? - "the layer-2 address of any IPv6 traffic to the
> originator". Did
> > you mean "the destination layer-2 address..." ? - "if the P bit is set,
> then 64
> > bits (8 bytes) of address are present." I had trouble understanding this
> > sentence. Please consider rewriting it. - "this is an variable length
> field"
> > --> "this is a variable length field".
> >
> > Section 5.
> > - "Registry IETF IE Sub-type ID." Please cite RFC 8137 here as well.
> >
>
>

-- 
DIEGO DUJOVNE
Profesor Asociado
Escuela de Informática y Telecomunicaciones
Facultad de Ingeniería - Universidad Diego Portales - Chile
www.ingenieria.udp.cl
(56 2) 676 8125

---

From: Michael Richardson <[email-masked]>
Date: Thu, 07 Nov 2019 20:22:50 -0500

Carles Gomez via Datatracker <[email-masked]> wrote:
    > I did not identify technical problems. (There are comments below that do have a

    > There is a number of suggestions provided below, mostly editorial and about
    > presentation.

    > - "Informational Element" --> "Information Element"

Fixed.

    > Abstract: I'd suggest adding a comma after "In TSCH mode of IEEE STD 802.15.4".

okay.

    > - Introduce the acronym "EB" the first time that "Enhanced Beacon" appears.

okay.

    > "carrying" and reorganize a bit the rest of the sentence.

    >  - "existance" -->
    > "existence" >
    > "There are a limited number...". --> "There is a limited
    > number..." - "... by each router". Perhaps, to give more context, "by each
    > router in the network".

okay.

    > - Title: capitalize "solicitations" and "advertisements"

okay

    > introduce the acronym, and use the acronym thereafter.

I actually find it really hard to read with some many similar two-letter
TLAs, so I tend to expand it when clarity is important.

I don't recall what happened next, as I left this email in the draft folder
too long.

    > - "consuming a broadcast
    > reorganize the sentence to emphasize that this is actually the crucial point. -
    > Second bullet in the list: did you mean "RA" instead of "Router Soliciation" -
    > Third bullet in the list: "If it must listen for a RS as well..." Did you mean
    > "listen for an RA" ?

    > - It might be nice to close Section 1 by adding something along the lines of
    > "This document defines...". However, this would not be specific to subsection
    > 1.3. Therefore, some reorganization of Section 1 might improve the document.

    > Section 2.
    > - Even if there is a single figure in the whole document, it might be good to
    > add a figure number and a caption the format for the new IE subtype. - After
    > presented in a different order from the one in the format? - Please add a ":"
    > after the name of each field and its definition/description. - "this field
    > indicates the willingness to act as join proxy". Perhaps "the willingness of
    > Proxy..." Perhaps "Lower value indicates greater willingness to act as..." -
    > "Values range 0 (most willing)..." --> "Values range 0x00 (most willing)..." -
    > In the figure, one field is called "Join Proxy lower-64". In the text, it has a
    > different name... - "if the Proxy Address P-flag is set, then the lower 64-bits
    > of the Join Proxy’s Link Layer address..." Did you mean "link-local" instead of
    > "Link Layer? - "the layer-2 address of any IPv6 traffic to the originator". Did
    > you mean "the destination layer-2 address..." ? - "if the P bit is set, then 64
    > sentence. Please consider rewriting it. - "this is an variable length field"

    > _______________________________________________
    > 6tisch mailing list
    > [email-masked]
    > https://www.ietf.org/mailman/listinfo/6tisch